Update Document Version
Update editable field values on a specific version of a document. See also Update Document above.
PUT
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "language__v=English" \
-d "product__v=1357662840171" \
-d "audience__c=consumer__c" \
https://myvault.veevavault.com/api/v18.2/objects/documents/534/versions/2/0Response
Section link for Response{
"responseStatus": "SUCCESS",
"id": 534
}Response Details
Section link for Response DetailsOn SUCCESS, Vault updates field values for the specified version of the document and returns the ID of the updated document.